***************************************************************************************************;
***************************************************************************************************;
*State Taxation and the Reallocation of Business Activity: Evidence from Establishment-Level Data;
***************************************************************************************************;
***************************************************************************************************;

********************
****** TABLE 2 *****
********************

use "\JPE_Data_Appendix\stata_tax_data.dta", clear

keep if year <= 2011 & year >= 1977

*Unemployment insurance;

replace ui = ui_base*ui_rate/100
gen lui = log(ui)

*Tax incentives;

gen inc = ti1 + ti2 + ti3 + ti4 + ti5 + ti6 + ti7 + ti8 + ti9 + ti10 + ti11 + ti12 + ti13 + ti14 + ti15 + fa1 + fa2 + fa3 + fa4 + fa5 + fa6 + fa7 + fa8 + fa9 + fa10 + fa11 + fa12 + fa13 + fa14 + fa15 + fa16 + fa17 + fa18

sum cit pinc pr ui lui sal inc payroll property sales throwback
sum cit pinc property ui lui sal inc payroll property sales throwback, detail
corr cit pinc property ui lui sal inc payroll property sales throwback

*********************
****** FIGURE 2 *****
*********************

table year if cit_flag==0, c(mean cit p25 cit p50 cit p75 cit)
table year, c(mean pinc p25 pinc p50 pinc p75 pinc)

*********************
****** FIGURE 3 *****
*********************

use "\JPE_Data_Appendix\stata_tax_data.dta", clear 

replace cit = . if cit_flag==1

foreach var of varlist cit pinc {
sort state year
bysort state: gen d`var' = `var'-`var'[_n-1]
gen cd`var' = 0
replace cd`var' = 1 if d`var'~=0 & d`var'~=.
gen cupd`var' = 0
replace cupd`var' = 1 if d`var'>0 & d`var'~=.
gen cdownd`var' = 0
replace cdownd`var' = 1 if d`var'<0
table year if year >= 1977 & year <= 2011, c(sum cd`var' sum cupd`var' sum cdownd`var')
}

*************************************
****** OTHER TABLES AND FIGURES *****
*************************************

/*

The other tables and figures use confidential data from the U.S. Census Bureau. The code and data that generate the output have been archived by the Census as part of Project# BR1195. Researchers can request access to these materials by submitting a proposal to the Census.

*/
